<?php
namespace Teknisa\CNC\Controllers;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\CNC\Services;

class Cnc02000RelVendaInexisAdqCheck extends \Zeedhi\Framework\Controller\Simple {

    protected $relVendaInexisAdqService;
    public function __construct(Services\Cnc02000RelVendaInexisAdqService $relVendaInexisAdqService) {
        $this->relVendaInexisAdqService = $relVendaInexisAdqService;
    }

    public function getnotExistAcquireSells(Request\Filter $request, Response $response){
        try {
            $params = $request->getFilterCriteria()->getConditions();

            $resultadoFiltrado = $this->relVendaInexisAdqService->getnotExistAcquireSells($params);

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('cnc02000_relVendaInexisAdqCheck', $resultadoFiltrado));
        } catch (\Exception $e) {
            $response->addMessage(new Message($e->getMessage()));
        }
    }
}