<?php 

namespace Teknisa\CNC\Factories;

use Doctrine\DBAL\Connection;

class LogCNCFactory {
    protected $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    public function findLog($params) {
        $sql = "
            SELECT DTOPERACAO, DSLOG
                FROM LOGCNC
                WHERE TO_CHAR(DTOPERACAO, 'DD/MM/YYYY') BETWEEN :DTINI AND :DTFIN
        ";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }
}