<?php 

namespace Teknisa\CNC\Services;

use Teknisa\CNC\Factories\LogCNCFactory;

class LogCNCService {
    protected $logCNCFactory;
    
    public function __construct(LogCNCFactory $logCNCFactory) {
        $this->logCNCFactory = $logCNCFactory;
    }
    
    public function findLog($conditions) {
        $result = [];
        
        $params = [
            ':DTINI' => $conditions['DTINI'],
            ':DTFIN' => $conditions['DTFIN']
        ];
        
        $result = $this->logCNCFactory->findLog($params);
        
        return $result;
    }
}