<?php
namespace App\Service;

use App\Util\Utilities as Utilities;
use \Exception as Exception;

class MyTest {

    protected $connection;

    public function __construct(\Doctrine\DBAL\Connection $connection) {
		$this->connection = $connection;
    }

    const GET_CONSUMER = "
        SELECT *
          FROM CONSUMIDOR
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
    ";

    public function getConsumer($consumerParams) {
        if(!isset($consumerParams['CDCLIENTE'])) {
            
        }

        if(!isset($consumerParams['CDCONSUMIDOR'])) {
            
        }

        $params = array(
            ':CDCLIENTE'    => $consumerParams['CDCLIENTE'],
            ':CDCONSUMIDOR' => $consumerParams['CDCONSUMIDOR']
        );

        return $this->connection->fetchAll(self::GET_CONSUMER, $params); 
    }
}